
package com.wily.jmeter;

import java.awt.BorderLayout;

import com.wily.jmeter.WilyModel;
import com.wily.jmeter.WilyResultCollector;

import org.apache.jmeter.samplers.Clearable;
import org.apache.jmeter.samplers.SampleResult;
import org.apache.jmeter.testelement.TestElement;
import org.apache.jmeter.util.JMeterUtils;
import org.apache.jmeter.visualizers.gui.AbstractVisualizer;
import com.wily.introscope.agent.api.*;

/**
 * This class implements a visualizer that sends alerts to Introscope
 
 */
public class WilyVisualizer extends AbstractVisualizer implements Clearable {

	/**
	 * Constructs the WilyVisualizer and initializes its GUI.
	 */
	public WilyVisualizer() {
		super();
		setModel(new WilyResultCollector());
		// initialize GUI.
		initGui();
	}

	/**
	 * Clears any stored sampling-informations.
	 */
	public synchronized void clear() {
		if (getModel() != null) {
			((WilyResultCollector) getModel()).getWilyModel().clear();
		}
	}

	public void add(SampleResult res) {
	}

	public String toString() {
		return "Wily Notification";
	}

	/**
	 * Initializes the GUI. Lays out components and adds them to the container.
	 */
	private void initGui() {	    
        setLayout(new BorderLayout());
        setBorder(makeBorder());
        add(makeTitlePanel(), BorderLayout.NORTH);
	}

    public String getStaticLabel()
    {
        return "Wily Data Listener";
    }

	public String getLabelResource() {
		return "";
	}
}
